libglib2.0-data_2.48.0-1ubuntu4_all.deb


Advertisement

Description

libglib2.0-data - Common files for GLib library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libglib2.0-data_2.48.0-1ubuntu4_all.deb
Package name libglib2.0-data
Package version 2.48.0
Package release 1ubuntu4
Package architecture all
Package type deb
Category misc
Homepage http://www.gtk.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 127.86 KB
Installed size 1.55 MB
GLib is a library containing many useful C routines for things such
as trees, hashes, lists, and strings.  It is a useful general-purpose
C library used by projects such as GTK+, GIMP, and GNOME.
This package is needed for the runtime libraries to display messages in
languages other than English.

Alternatives

Package Version Architecture Repository
libglib2.0-data_2.48.2-0ubuntu4.4_all.deb 2.48.2 all Ubuntu Updates Main
libglib2.0-data_2.48.2-0ubuntu4.4_all.deb 2.48.2 all Ubuntu Updates Main
libglib2.0-data_2.48.0-1ubuntu4_all.deb 2.48.0 all Ubuntu Main
libglib2.0-data - - -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libglib2.0-data_2.48.0-1ubuntu4_all.deb
Source Package glib2.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libglib2.0-data deb package:
    # sudo apt-get install libglib2.0-data

Files

Path
/usr/share/doc/libglib2.0-data/AUTHORS
/usr/share/doc/libglib2.0-data/NEWS.gz
/usr/share/doc/libglib2.0-data/README.gz
/usr/share/doc/libglib2.0-data/changelog.Debian.gz
/usr/share/doc/libglib2.0-data/copyright

Changelog

2016-04-10 - Adam Conrad <adconrad@ubuntu.com>
glib2.0 (2.48.0-1ubuntu4) xenial; urgency=medium
* Revert all Ubuntu changes, testsuite now succeeds on s390x buildds.
2016-03-31 - Matthias Klose <doko@ubuntu.com>
glib2.0 (2.48.0-1ubuntu3) xenial; urgency=medium
* Revert the last change, don't run the tests on s390x for a first
build.
2016-03-30 - Matthias Klose <doko@ubuntu.com>
glib2.0 (2.48.0-1ubuntu2) xenial; urgency=medium
* Build using -no-pie on s390x.
2016-03-23 - Iain Lane <laney@debian.org>
glib2.0 (2.48.0-1) unstable; urgency=medium
* New upstream stable release 2.48.0
+ a minor build fix in the name of determinism (Closes: #812876)
+ a few coverity fixes
2016-03-16 - Andreas Henriksson <andreas@fatal.se>
glib2.0 (2.47.92-1) experimental; urgency=medium
* New upstream release.
2016-02-18 - Iain Lane <laney@debian.org>
glib2.0 (2.47.6-1) experimental; urgency=medium
* New upstream release.
- GString is missing (transfer none) annotations on many of its methods
- systemtap and gdb scripts install in wrong place
- Documentation: various small improvements
- gdbusobjectmanagerserver: Clarify recommended ObjectManager paths
- Fix some annotations
- Cannot build with default flags under Fedora rawhide
(-Werror=format-nonliteral)
- gmacros.h is testing attributes with __has_feature (when compiling with
clang)
* debian/libglib2.0-0-dbg.install.in: Upstream now installs the gdb
auto-loaded scripts in the right place by themselves - no need for us to
move them about.
2016-01-20 - Iain Lane <laney@debian.org>
glib2.0 (2.47.5-1) experimental; urgency=medium
* debian/watch: Use download.gnome.org, seems ftp.gnome.org is not updating
properly currently.
* New upstream release 2.47.5
+ the system copy of PCRE is now used by default to implement GRegex.
Configure with --with-pcre=internal if a system PCRE version
is unavailable or undesired.
+ interfaces for DTLS support have been added. A new version of
glib-networking will also be required.
+ GDBusMethodInvocation now drops replies if the sender set the
NO_REPLY_EXPECTED flag
+ several GApplication fixes, including fixes for commandline arguments in
interpreted languages on Windows
* debian/libglib2.0-0.symbols: Update with new symbols for this release.
* 0001-regex-test-expect-ASSERTION_EXPECTED-for-ab-with-PCR.patch: Drop,
it's included in this release.
2016-01-14 - Iain Lane <laney@debian.org>
glib2.0 (2.47.4-1) experimental; urgency=medium
* New upstream release
+ The GApplication documentation has been improved in several areas.
* 0001-tests-fix-a-test-on-32-bit-builds.patch,
0001-gtypes.h-move-G_STATIC_ASSERT-to-function-scope.patch: Drop, applied
upstream in this release.
* 0001-regex-test-expect-ASSERTION_EXPECTED-for-ab-with-PCR.patch: Fix regex
tests to assert the right errors as of pcre 8.38. Cherry-pick from
upstream. (Closes: #808842)
* Don't build automatic dbgsym package for -refdbg
2015-11-29 - Iain Lane <laney@debian.org>
glib2.0 (2.47.3-3) experimental; urgency=medium
* debian/patches/0001-gtypes.h-move-G_STATIC_ASSERT-to-function-scope.patch:
Another cherry-pick. Should fix g-ir-scanner.
2015-11-26 - Iain Lane <laney@debian.org>
glib2.0 (2.47.3-2) experimental; urgency=medium
* debian/patches/0001-tests-fix-a-test-on-32-bit-builds.patch: Cherry-pick
from upstream. Fix tests (and therefore the build) on 32 bit arches.

See Also

Package Description
libglib2.0-dev_2.48.0-1ubuntu4_amd64.deb Development files for the GLib library
libglib2.0-doc_2.48.0-1ubuntu4_all.deb Documentation files for the GLib library
libglibmm-2.4-1v5_2.46.3-1_amd64.deb C++ wrapper for the GLib toolkit (shared libraries)
libglibmm-2.4-dev_2.46.3-1_amd64.deb C++ wrapper for the GLib toolkit (development files)
libglibmm-2.4-doc_2.46.3-1_all.deb C++ wrapper for the GLib toolkit (documentation)
libglm-dev_0.9.7.2-1_all.deb C++ library for OpenGL GLSL type-based mathematics
libglm-doc_0.9.7.2-1_all.deb documentation for the OpenGL Mathematics (GLM) library
libglu1-mesa-dev_9.0.0-2.1_amd64.deb Mesa OpenGL utility library -- development files
libglu1-mesa_9.0.0-2.1_amd64.deb Mesa OpenGL utility library (GLU)
libgmime-2.6-0_2.6.20-1_amd64.deb MIME message parser and creator library - runtime
libgmime-2.6-dev_2.6.20-1_amd64.deb MIME message parser and creator library - development files
libgmime-2.6-doc_2.6.20-1_all.deb MIME message parser and creator library - documentation
libgmime2.6-cil-dev_2.6.20-1_all.deb CLI binding for the GMime library
libgmime2.6-cil_2.6.20-1_all.deb CLI binding for the GMime library
libgmp-dev_6.1.0+dfsg-2_amd64.deb Multiprecision arithmetic library developers tools
Advertisement
Advertisement